package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicAPIServiceType {

    public static final String DATA = "数据类";
    public static final String UTILS = "工具类";
    public static final String MODEL = "模型类";


    private static DicAPIServiceType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAPIServiceType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(DATA, DATA);
        dicMap.put(UTILS, UTILS);
        dicMap.put(MODEL, MODEL);
    }

    public static DicAPIServiceType getInstacne(){
        if (instance == null)
        {
            instance = new DicAPIServiceType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
